#2925 closed defect (fixed)

Warnings in rtl-obj-cache.c on some targets

Reported by: Joel Sherrill Owned by: Chris Johns
Priority: normal Milestone: 5.1
Component: score Version: 5
Severity: normal Keywords:
Cc: Blocked By:
Blocking:

Description

These warnings are on m68k but not sparc, mips powerpc, or arm. Looks like inttypes.h should be used.

../../../../../../rtems/c/src/../../cpukit/libdl/rtl-obj-cache.c:175:47: warning: format '%d' expects argument of type 'int', but argument 3 has type 'long unsigned int' [-Wformat=]
../../../../../../rtems/c/src/../../cpukit/libdl/rtl-obj-cache.c:175:85: warning: format '%d' expects argument of type 'int', but argument 7 has type 'long unsigned int' [-Wformat=]
../../../../../../rtems/c/src/../../cpukit/libdl/rtl-obj-cache.c:81:67: warning: format '%d' expects argument of type 'int', but argument 7 has type 'long unsigned int' [-Wformat=]
../../../../../../rtems/c/src/../../cpukit/libdl/rtl-obj-cache.c:81:81: warning: format '%d' expects argument of type 'int', but argument 9 has type 'long unsigned int' [-Wformat=]
~

Change History (4)

comment:1 Changed on Mar 13, 2017 at 4:18:35 PM by Joel Sherrill

Owner: changed from joel.sherrill@… to Chris Johns
Status: newassigned

comment:2 Changed on May 11, 2017 at 7:31:02 AM by Sebastian Huber

Milestone: 4.124.12.0

comment:3 Changed on Nov 9, 2017 at 6:27:14 AM by Sebastian Huber

Milestone: 4.12.05.1

Milestone renamed

comment:4 Changed on Oct 14, 2018 at 12:47:25 AM by Joel Sherrill

Resolution: fixed
Status: assignedclosed
Note: See TracTickets for help on using tickets.